package com.happy.service;

import com.happy.Model.Admin;
import com.happy.Model.AdminPower;
import com.happy.dto.IPage;

import java.util.List;

public interface AdminService {

    /**
     * 描述：新增
     * @param admin
     * @return
     */
    int insertAdmin(Admin admin);

    /**
     * 描述：修改
     * @param admin
     * @return
     */
    int updateAdmin(Admin admin);

    /**
     * 描述：删除
     * @param id
     * @return
     */
    int delAdmin(int id);

    /**
     * 描述：根据Id查询详细
     * @param id
     * @return
     */
    Admin getById(int id);

    /**
     * 描述：分页查询
     * @param sqlx
     * @param page
     * @param rows
     * @return
     */
    IPage<Admin> queryPage(String sqlx, int page, int rows);

    /**
     * 描述：查询列表
     * @param sqlx
     * @return
     */
    List<Admin> queryList(String sqlx);

    /**
     * 描述：查询资源菜单列表
     * @param sqlx
     * @return
     */
    List<AdminPower> queryTree(String sqlx);

    /**
     * 描述：查询一条数据
     * @param sqlx
     * @return
     */
    Admin getOen(String sqlx);
}
